Page MenuHomePhabricator

PolyGerrit 2.15 UI does not support custom dashboards (supported from in 2.16+)
Closed, ResolvedPublic

Description

I'm not sure if I'm doing something wrong, or if new Gerrit UI doesn't support custom dashboards.

I've created a custom dashboard that I really like. It works fine on old UI, but I don't like that UI. It doesn't work at new UI, and I like that UI.

In the old UI, the dashboard opens fine. In the new UI, instead of opening the dashboard, I've redirected to https://gerrit.wikimedia.org/r/dashboard/self.

Related Objects

StatusSubtypeAssignedTask
ResolvedNone
OpenQChris
ResolvedQChris
ResolvedDzahn
Resolvedthcipriani
ResolvedAklapper
ResolvedAklapper
ResolvedQChris
ResolvedDzahn
ResolvedQChris
ResolvedQChris
Resolvedjcrespo
ResolvedDzahn
ResolvedPaladox
ResolvedQChris
ResolvedQChris
ResolvedQChris
ResolvedQChris
ResolvedQChris
ResolvedQChris
ResolvedQChris
ResolvedQChris
ResolvedQChris
ResolvedBUG REPORTQChris
InvalidBUG REPORTNone
ResolvedDzahn
ResolvedBUG REPORTkostajh
ResolvedBUG REPORTQChris
ResolvedBUG REPORTQChris
InvalidBUG REPORTNone
ResolvedBUG REPORTQChris
OpenQChris
InvalidNone
OpenNone
DuplicateBUG REPORTNone
OpenNone
Resolved Nikerabbit
DeclinedBUG REPORTNone
Resolvedhashar
InvalidNone
ResolvedQChris
DeclinedNone
OpenNone
DuplicateNone
DuplicateNone
ResolvedBUG REPORTQChris
ResolvedQChris
ResolvedQChris
DeclinedNone
OpenNone
ResolvedDzahn
OpenNone
ResolvedQChris

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 12 2019, 9:58 AM
zeljkofilipin triaged this task as Low priority.Apr 12 2019, 9:58 AM
zeljkofilipin moved this task from Backlog 🔙 to Watching 👀 on the User-zeljkofilipin board.

This is supported from gerrit 2.16+.

hashar renamed this task from New Gerrit UI does not support custom dashboards to PolyGerrit 2.15 UI does not support custom dashboards.Apr 15 2019, 9:22 AM
Aklapper renamed this task from PolyGerrit 2.15 UI does not support custom dashboards to PolyGerrit 2.15 UI does not support custom dashboards (supported from in 2.16+).Aug 3 2019, 9:55 PM
Dzahn added a comment.Jun 27 2020, 8:24 PM

Hi, @zeljkofilipin Gerrit is on 3.2 now. What do you think about the dashboard situation now?

Paladox closed this task as Resolved.Jun 27 2020, 9:58 PM

Project Dashboard shows for me.